package com.dk.mdm.service.mac;

import com.dk.mdm.model.pojo.mac.AccountItem;
import com.dk.mdm.mapper.mac.AccountItemMapper;
import com.dk.common.service.BaseService;
import com.dk.common.mapper.BaseMapper;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional
public class AccountItemService extends BaseService<AccountItem> {

	@Override
	public String getPrimaryKey() {
		return "item_id";
	}

	@Override
	public BaseMapper<AccountItem> getRepository() {
		return accountItemMapper;
	}

	@Autowired
	private AccountItemMapper accountItemMapper;

}
